# First Contentful Paint Changes in M84

## Changes in Chrome 84
Starting in Chrome 84, content with opacity:0 is no longer counted as the
first contentful paint. This brings behavior in line with the
[specification](https://www.w3.org/TR/paint-timing/).
The source code of the change can be seen
[here](https://chromium-review.googlesource.com/c/chromium/src/+/2145134).

## How does this affect a site's metrics?

This change affects sites whose content is all opacity:0 during the first paint.
After this change, the first contentful paint will be reported the next time
visible content paints.

We do not see an impact from this change in our overall metrics, so we believe
the effect on most sites will be minimal.

## When were users affected?

Most users were updated to Chrome 84 the week of July 13, 2020.
