
# Cumulative Layout Shift Changes in Chrome 98

### Record CLS value at the first OnHidden in addition to tab close in UKM

The Cumulative Layout Shift score will be recorded the first time a page moves
from the foreground to the background, which can fill in for the layout shift
values that are not able to be recorded at tab close, the current CLS reporting
point.
[Source code for this change](https://chromium-review.googlesource.com/c/chromium/src/+/3251379).

## How does this affect a site's metrics?

There should be an increase of reporting the Cumulative Layout Shift value on
desktop sites which have FCP values.

Note this only affects UKM (and so CrUX) reporting of CLS and does not affect
PerformanceObserver observations as measured in JavaScript.

## When were users affected?

The updated metric was added in Chrome 98 which we released in the week of
February 1, 2022. The CrUX report included this update starting with CrUX
BigQuery 202207 (August 9, 2022).